# Notes und kleine Dokumentation
Was haben wir bereits am iTender Projekt gemacht?

<hr>

## Konzept-Erstellung

#### Ideen
- Grund-Ideen
  - Smarten Cocktail-Mischer
  - 4 Getränke Behälter (mit Saft, Sirup oder Likör bzw. Schnapps)
  - 4 Pumpen (Peristaltik Pumpe)
  - Raspberry Pi als Prozessoreinheit
  - Display in der Front mit Benutzeroberfläche
  - Automatisches filtern von Getränken, je nachdem welche "Zutaten" in den Behältern sind
  - Messung der aktuellen Füllmenge der Behälter, basierend auf Gewicht (mittels Wägezelle) oder Abstand zur Wasseroberfläche (mittels Ultraschall-Sensor)
  
- Nice to have
  - LED-Stripes für schöne Beleuchtung, basierend auf dem aktuellen Status der Maschine
  - Extra Schlauch für weitere außenstehende Getränke
      - Mit Bier-Fass Adapter?
  - Kühlung der Container mittels Peltierelement und Lüftern

#### Erstes 3D-Modell
<img src="./Screenshot_Model1.1_FrontTopRight.png" width="50%">
<img src="./Screenshot_Model1.1_BackDownLeft.png" width="50%">

#### Neues 3D-Modell
<img src="./Screenshot_Model1.2_Front.png" width="50%">
<img src="./Screenshot_Model1.2_Back.png" width="50%">


<hr>

## Das Programm

#### Aufbau
- Das Programm ist aufgebaut in eine Client-Seite und eine Server-Seite
- Diese sind zur Sicherheit des Geräts voneinander getrennt
- Server und Client kommunizieren über einen WebSocket, welchen man sich als eine Art Chat-Kanal vorstellen kann
- Client und Server haben bestimmte Status, ein Status ist beispielsweise READY oder FILLING
- Die Oberfläche ist sowohl über das Display, aber auch über ein Tablet steuerbar
- Oberfläche sendet Befehle an den Server → Server verarbeitet und gibt ggfs. eine Antwort

#### Fotos des Webinterfaces (Stand 21.11)

<strong>Main</strong>
<br>
Die Main Pane ist der Hauptteil und direkt die Einstiegsseite des iTenders<br>
Hier können Getränke ausgewählt werden, welche dann "gemacht" werden
<img src="./v1Main.png">
<br><br>
<strong>Menu</strong><br>
Das Menü ist das Navigationsherz, von hier aus können alle anderen Panels erreicht werden<br>
<img src="./v1Menu.png">
<br><br>
<strong>Containers</strong><br>
Hier können die Behälter inhalte aktualisiert werden<br>
Man wählt die "Zutat" aus und danach wie voll der Behälter nun ist<br>
In der Regel kann das auch automatisch eingemessen werden, wenn alle Sensoren eingestellt sind<br>
<br>Trotzdem sollte das hier eingestellt werden
<img src="./v1Containers.png">
<br><br>
<strong>Fill</strong><br>
Einfach ein "Popup" welches anzeigt dass das Getränk gefüllt wird
<img src="./v1Fill.png">
<br><br>
<strong>Setup</strong><br>
Das Setup ist das erste menü was nach dem ersten einrichten erscheint<br>
es dient zur Grundkonfiguration
<img src="./v1Setup.png">
<br><br>


